[DRE-maint] ruby-setup-rb.mk, and ftbses

Lucas Nussbaum lucas at lucas-nussbaum.net
Sat Jan 12 15:46:21 UTC 2008

On 12/01/08 at 14:05 +0100, Arnaud Cornet wrote:
> Hi,
> There is a fix in commit r2319 that fixes
> tools/ruby-pkg-tools/trunk/1/class/ruby-setup-rb.mk. Sid does not have
> this fix yet and it causes ftbs for packages that have a setup.rb and
> are using this class.


I'm not sure of your fix:
--- 1/class/ruby-setup-rb.mk	(revision 2273)
+++ 1/class/ruby-setup-rb.mk	(working copy)
@@ -74,6 +74,6 @@
 	/usr/bin/ruby $(DEB_RUBY_SETUP_CMD) config $(DEB_RUBY_CONFIG_ARGS)
 	rm -f $(DEB_SRCDIR)/.config-*
+	([ -L $(DEB_RUBY_SETUP_CMD) ] && rm -f $(DEB_RUBY_SETUP_CMD)) || true

It won't remove the file if setup.rb is NOT a symbolic link. So we will
still use old versions of setup.rb in that case.

Or I misunderstood something?

> How about an upload ?

The current in the archive still builds all our packages fine, so
there's no emergency. I would prefer if you could double-check that all
packages still build fine with the newer version.
| Lucas Nussbaum
| lucas at lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas at nussbaum.fr             GPG: 1024D/023B3F4F |

More information about the Pkg-ruby-extras-maintainers mailing list